# TQScintilla: QextScintillaLexerJavaScript Class Reference

# QextScintillaLexerJavaScript Class Reference

The QextScintillaLexerJavaScript class encapsulates the Scintilla JavaScript lexer. More...

`#include <qextscintillalexerjavascript.h>`

Inherits QextScintillaLexerCPP.

List of all members.

## Public Member Functions

- QextScintillaLexerJavaScript (TQObject *parent=0, const char *name=0)
- virtual ~QextScintillaLexerJavaScript ()
- const char * language () const
- TQColor color (int style) const
- bool eolFill (int style) const
- TQFont font (int style) const
- const char * keywords (int set) const
- TQString description (int style) const
- TQColor paper (int style) const

## Detailed Description

The QextScintillaLexerJavaScript class encapsulates the Scintilla JavaScript lexer.

## Constructor & Destructor Documentation

QextScintillaLexerJavaScript::QextScintillaLexerJavaScript | ( | TQObject * | parent = `0`,
|  | const char * | name = `0` |
| ) |  |  |

Construct a QextScintillaLexerJavaScript with parent parent and name name. parent is typically the QextScintilla instance.

virtual QextScintillaLexerJavaScript::~QextScintillaLexerJavaScript | ( |  | ) | `[virtual]`

Destroys the QextScintillaLexerJavaScript instance.

## Member Function Documentation

const char* QextScintillaLexerJavaScript::language | ( |  | ) | const`[virtual]`

Returns the name of the language.

Reimplemented from QextScintillaLexerCPP.

TQColor QextScintillaLexerJavaScript::color | ( | int | style | ) | const`[virtual]`

Returns the foreground colour of the text for style number style.

See also:
  paper()

Reimplemented from QextScintillaLexerCPP.

bool QextScintillaLexerJavaScript::eolFill | ( | int | style | ) | const`[virtual]`

Returns the end-of-line fill for style number style.

Reimplemented from QextScintillaLexerCPP.

TQFont QextScintillaLexerJavaScript::font | ( | int | style | ) | const`[virtual]`

Returns the font for style number style.

Reimplemented from QextScintillaLexerCPP.

const char* QextScintillaLexerJavaScript::keywords | ( | int | set | ) | const`[virtual]`

Returns the set of keywords for the keyword set set recognised by the lexer as a space separated string.

Reimplemented from QextScintillaLexerCPP.

TQString QextScintillaLexerJavaScript::description | ( | int | style | ) | const`[virtual]`

Returns the descriptive name for style number style. If the style is invalid for this language then TQString() is returned. This is intended to be used in user preference dialogs.

Reimplemented from QextScintillaLexerCPP.

TQColor QextScintillaLexerJavaScript::paper | ( | int | style | ) | const`[virtual]`

Returns the background colour of the text for style number style.

See also:
  color()

Reimplemented from QextScintillaLexerCPP.